# Asterisk Project : Asterisk 12 Configuration_res_statsd

Added by wikibot , edited by wikibot on Aug 29, 2013

# Statsd client.

This configuration documentation is for functionality provided by `res_statsd`.

## statsd.conf

### global

Global configuration settings

#### Configuration Option Reference

Option Name | Type | Default Value | Regular Expression | Description
--- | --- | --- | --- | ---
`enabled` | `Boolean` | `no` | `false` | Enable/disable the statsd module
`server` | `IP Address` | `127.0.0.1` | `false` | Address of the statsd server
`prefix` | `String` |  | `false` | Prefix to prepend to every metric
`add_newline` | `Boolean` | `no` | `false` | Append a newline to every event. This is useful if you want to fake out a server using netcat (nc -lu 8125)

### Import Version

This documentation was imported from Asterisk Version Unknown